com.jscape.filetransfer

## Class FileTransferConnectedEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.filetransfer.FileTransferEvent
    - - com.jscape.filetransfer.FileTransferConnectedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FileTransferConnectedEvent
      extends FileTransferEvent

  Fired when connection to server is established.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferConnectedEvent(FileTransfer source, java.lang.String hostname)` Creates `FileTransferConnectedEvent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FileTransferListener listener)` Accepts event via FileTransferListener.
    `java.lang.String` | `getHostname()` Gets server hostname.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferConnectedEvent

          public FileTransferConnectedEvent(FileTransfer source,
                                            java.lang.String hostname)

      Creates `FileTransferConnectedEvent`.
      Parameters:
        `source` - the source of the event
        `hostname` - the server hostname or ip address

  - ### Method Detail

    - #### getHostname

          public java.lang.String getHostname()

      Gets server hostname.
      Returns:
        hostname

    - #### accept

          public void accept(FileTransferListener listener)

      Accepts event via FileTransferListener.
      Specified by:
        `accept` in class `FileTransferEvent`
      Parameters:
        `listener` - the listener which receives event

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved